package com.jay.monitor.data.server.enums;

import com.ruoyi.client.enums.DicEnumData;

/**
 * 匹配规则枚举
 *
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 * @date 2021/9/6 - 15:04
 */
public enum MatchRuleEnums implements DicEnumData {
    expression("expression表达式"), // 表达式
    eq("等于"),// 等于
    nq("不等于"), // 不等于
    lt("小于"), // 小于
    gt("大于"), //大于
    lt_eq("小于等于"), // 小于等于
    gt_eq("大于等于"), // 大于等于
    in("包含','号分割"),
    ; // 包含

    private String label;

    MatchRuleEnums(String label) {
        this.label = label;
    }

    @Override
    public Object getCode() {
        return this.name();
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
